Package org.eclipse.lemminx.dom

## Class NoNamespaceSchemaLocation

- java.lang.Object
- - org.eclipse.lemminx.dom.NoNamespaceSchemaLocation

    public class NoNamespaceSchemaLocation
    extends Object

The declared "xsi:noNamespaceSchemaLocation"

### Constructor Summary

Constructors
`NoNamespaceSchemaLocation​(DOMAttr attr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DOMAttr` `getAttr()`
`String` `getLocation()` Returns the location declared in the attribute value of "xsi:noNamespaceSchemaLocation"

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoNamespaceSchemaLocation

    public NoNamespaceSchemaLocation​(DOMAttr attr)

### Method Detail

#### getAttr

    public DOMAttr getAttr()

#### getLocation

    public String getLocation()

Returns the location declared in the attribute value of "xsi:noNamespaceSchemaLocation"

Returns:
  the location declared in the attribute value of "xsi:noNamespaceSchemaLocation"